Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# CosNotifyFilter::ConstraintInfo Struct Reference

Helper data structure to modify a constraint expression. More...

`import "CosNotifyFilter.idl";`

Collaboration diagram for CosNotifyFilter::ConstraintInfo:

[legend]
List of all members.

## Public Attributes
ConstraintExp | constraint_expression
| New constraint expression.
ConstraintID | constraint_id
| ID of the expression modified.

## Detailed Description

Helper data structure to modify a constraint expression.

## Member Data Documentation

ConstraintExp CosNotifyFilter::ConstraintInfo::constraint_expression

| New constraint expression.

ConstraintID CosNotifyFilter::ConstraintInfo::constraint_id

| ID of the expression modified.

The documentation for this struct was generated from the following file:

- CosNotifyFilter.idl